HOME情報セキュリティ「SXF 共通ライブラリ」におけるバッファオーバーフロー脆弱性対策について(JVN#93976566)

本文を印刷する

情報セキュリティ

「SXF 共通ライブラリ」におけるバッファオーバーフロー脆弱性対策について(JVN#93976566)

最終更新日:2015年5月22日

※最新情報は、JVN iPedia(JVN#93976566)をご覧ください。

概要

オープンCADフォーマット評議会が提供する「SXF 共通ライブラリ」は、SXF 形式の CAD ファイルを入出力するためのライブラリです。「SXF 共通ライブラリ」には、バッファオーバーフローの脆弱性が存在します。細工された CAD ファイルを処理することで、任意のコードを実行される可能性があります。

悪用された場合の影響が大きい脆弱性であるため、できるだけ早急に「SXF 共通ライブラリ」の製品開発者が提供する情報をもとに、アップデートしてください。

本脆弱性の深刻度

本脆弱性の深刻度 □ I(注意) ■ II(警告) □ III(危険)
本脆弱性のCVSS基本値   6.8  

対象

次の製品が対象です。

  • SXF 共通ライブラリ Ver.3.21 およびそれ以前

対策

「SXF 共通ライブラリ」を利用している製品開発者の方は、下記のサイトから対策済みバージョンを入手して、更新してください。

参考情報

  • 「情報セキュリティ早期警戒パートナーシップ」について
    本脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき、IPAが届出を受け、JPCERT/CC(一般社団法人JPCERTコーディネーションセンター)が製品開発者と調整を行ない、公表したものです。詳細は、下記のURLを参照ください。
    https://www.ipa.go.jp/security/vuln/report/index.html

本件に関するお問い合わせ先

IPA 技術本部 セキュリティセンター

E-mail:

更新履歴

2015年5月22日 掲載